/*
 * JPA DAO Template
 *
 *
 * Takatuka - Template fuer JPA DAO
 *
 */

package de.ivu.elect.business.benutzerverwaltung.boundary;

import de.ivu.elect.business.benutzerverwaltung.entity.RechteKonfiguration;

@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class RechteKonfigurationDAO extends AbstractRechteKonfigurationDAO {

  private static final long serialVersionUID = 1L;

  @javax.inject.Inject
  private transient de.ivu.elect.jee.entity.SimpleDAO simpleDAO;

  @Override
  protected javax.persistence.EntityManager getEntityManager() {
    return simpleDAO.getEntityManager();
  }

  public void persist(RechteKonfiguration rechteKonfiguration){
    getEntityManager().persist(rechteKonfiguration);
  }

  public void remove(RechteKonfiguration rechteKonfiguration){
    getEntityManager().remove(rechteKonfiguration);
  }

@javax.inject.Inject
private transient de.ivu.elect.presentation.system.DAOCache daoCache;

                    
        /**
        * Name: AllNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT o FROM RechteKonfiguration o WHERE o.mandant =?1<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<RechteKonfiguration> findByAll( @javax.annotation.Nonnull de.ivu.elect.business.mandant.entity.Mandant mandant) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("RechteKonfiguration.findByAll" ,  mandant  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByAll( mandant  ));
        }
        return (java.util.List<RechteKonfiguration>) cached;
        }
            return super.findByAll( mandant  );
            }
                    
@Override
public void clear() {
super.clear();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}

}

@Override
public void flush() {
super.flush();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}
}



}